'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var tslib_es6 = require('./tslib.es6-9240d9d1.js');
var documentContext = require('next/dist/next-server/lib/document-context');
var pathToRegexp = require('path-to-regexp');
var React = require('react');
var React__default = _interopDefault(React);

var clientScriptsByPathRegex = Object.entries(CLIENT_SCRIPTS_BY_PATH).map(function (_a) {
    var path = _a[0], clientScript = _a[1];
    return ({
        pathRegex: pathToRegexp.pathToRegexp(path),
        clientScript: clientScript
    });
});
function ClientScript(_a) {
    var _b = _a.async, async = _b === void 0 ? true : _b, _c = _a.type, type = _c === void 0 ? 'text/javascript' : _c, rest = tslib_es6.__rest(_a, ["async", "type"]);
    var context = React.useContext(documentContext.DocumentContext);
    // Query params and hashes are already removed from this path.
    var pagePath = context.__NEXT_DATA__.page;
    var match = clientScriptsByPathRegex.find(function (cur) {
        return cur.pathRegex.test(pagePath);
    });
    if (!match) {
        return null;
    }
    return (React__default.createElement("script", tslib_es6.__assign({ async: async, src: match.clientScript, type: type }, rest)));
}

module.exports = ClientScript;
//# sourceMappingURL=ClientScript.js.map
